// UsrHighTextQuery.cpp : implementation file
//

#include "stdafx.h"
#include "ex30a.h"
#include "UsrHighTextQuery.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUsrHighTextQuery

IMPLEMENT_DYNAMIC(CUsrHighTextQuery, CDaoRecordset)

CUsrHighTextQuery::CUsrHighTextQuery(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CUsrHighTextQuery)
	m_nFirstChar = 0;
	m_nLastChar = 0;
	m_strNote = _T("");
	m_nFields = 3;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
	m_nParams = 4;
	m_strUsr = _T("");
	m_strPsw = _T("");
	m_lBkID = 0;
	m_lPagNum = 0;

}


CString CUsrHighTextQuery::GetDefaultDBName()
{
	return _T("E:\\Programación Enero 98\\Proyectos\\ITBLibrary\\ITBLibrary.mdb");
}

CString CUsrHighTextQuery::GetDefaultSQL()
{
	return _T("[QUsrHighlightedText]");
}

void CUsrHighTextQuery::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CUsrHighTextQuery)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[FirstChar]"), m_nFirstChar);
	DFX_Long(pFX, _T("[LastChar]"), m_nLastChar);
	DFX_Text(pFX, _T("[Note]"), m_strNote);
	//}}AFX_FIELD_MAP
	// This data source is a query which contains parameters.  Note
	//  that these lines are placed outside of the ClassWizard comments,
	//  since ClassWizard can not currently browse or edit query parameters.
	//  You will have to modify these fields by hand if the parameters in your
	//  data source change.
	// You must set the recordset's parameter member variables to values before
	//  the recordset is opened.
	pFX->SetFieldType(CDaoFieldExchange::param);
	DFX_Text(pFX, _T("Usr"), m_strUsr);
	DFX_Text(pFX, _T("Psw"), m_strPsw);
	DFX_Long(pFX, _T("BkID"), m_lBkID);
	DFX_Long(pFX, _T("PagNum"), m_lPagNum);

}

/////////////////////////////////////////////////////////////////////////////
// CUsrHighTextQuery diagnostics

#ifdef _DEBUG
void CUsrHighTextQuery::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CUsrHighTextQuery::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
